LibreOffice: SetExpression Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
SetExpression Service Referencepublished

specifies service of an expression text field. More...

Inheritance diagram for SetExpression:

## Included Services
service | com::sun::star::text::DependentTextField
Included Services inherited from DependentTextField
service | com::sun::star::text::TextField
Included Services inherited from TextField
service | com::sun::star::text::TextContent

## Public Attributes
string | Content
| contains the textual content of the field. More...
string | CurrentPresentation
| contains the current content of the text field. More...
long | NumberFormat
| this is the number format for this field. More...
short | NumberingType
| specifies the type of the numbering as com::sun::star::style::NumberingType More...
boolean | IsShowFormula
| determines whether the content is displayed or evaluated. More...
string | Hint
| contains an informational text that is displayed at the user interface if it's an input field. More...
boolean | IsInput
| determines whether this field is an input field. More...
boolean | IsVisible
| determines whether the field is visible. More...
short | SequenceValue
| contains the sequence value when this field is used as sequence field. More...
short | SubType
| determines the type of the variable as described in com::sun::star::text::SetVariableType More...
double | Value
| contains the numerical value of the field. More...
string | VariableName
| contains the name of the set expression field master this field is connected to. More...
boolean | IsFixedLanguage
| determines whether changes in language attributes at the position the text field is located also change the number format as appropriate for this language. More...
Public Attributes inherited from TextField
boolean | IsFieldUsed
| specifies if the text field is actually used in the document. More...
boolean | IsFieldDisplayed
| specifies if the text field is actually displayed. More...
Public Attributes inherited from TextContent
com::sun::star::text::TextContentAnchorType | AnchorType
| specifies how the text content is attached to its surrounding Text. More...
com::sun::star::text::WrapTextMode | TextWrap
| specifies if the text content is a shape and how the text is wrapped around the shape. More...

## Additional Inherited Members
Public Types inherited from TextContent
typedef sequence< com::sun::star::text::TextContentAnchorType > | AnchorTypes
| contains the anchor type of the text content. More...
Exported Interfaces inherited from DependentTextField
interface | com::sun::star::text::XDependentTextField
| This interface makes it possible to attach a TextFieldMaster to this TextField. More...
Exported Interfaces inherited from TextField
interface | com::sun::star::text::XTextField
| This interface is used to access the textual representation of this field. More...
interface | com::sun::star::beans::XPropertySet
| makes it possible to access the properties of the field, if any. More...
Exported Interfaces inherited from TextContent
interface | com::sun::star::text::XTextContent
| This interface is used for the attachment of this text content to the surrounding text. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XTextField
string | getPresentation ([in] boolean bShowCommand)
Public Member Functions inherited from XDependentTextField
void | attachTextFieldMaster ([in] com::sun::star::beans::XPropertySet xFieldMaster) raises ( com::sun::star::lang::IllegalArgumentException )
| method must be called to attach the TextFieldMaster to this TextField. More...
com::sun::star::beans::XPropertySet | getTextFieldMaster ()
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

specifies service of an expression text field.

See also
  com::sun::star::text::TextField

## Exported Interfaces

## ◆ com::sun::star::text::DependentTextField

service com::sun::star::text::DependentTextField

## Member Data Documentation

## ◆ Content

string Content
| property

contains the textual content of the field.

## ◆ CurrentPresentation

string CurrentPresentation
| property

contains the current content of the text field.

This property is especially useful for import/export purposes.

## ◆ Hint

string Hint
| property

contains an informational text that is displayed at the user interface if it's an input field.

## ◆ IsFixedLanguage

boolean IsFixedLanguage
| optionalproperty

determines whether changes in language attributes at the position the text field is located also change the number format as appropriate for this language.

Since
  OOo 1.1.2

## ◆ IsInput

boolean IsInput
| property

determines whether this field is an input field.

## ◆ IsShowFormula

boolean IsShowFormula
| property

determines whether the content is displayed or evaluated.

## ◆ IsVisible

boolean IsVisible
| property

determines whether the field is visible.

## ◆ NumberFormat

long NumberFormat
| property

this is the number format for this field.

See also
  com::sun::star::util::NumberFormatter

## ◆ NumberingType

short NumberingType
| property

specifies the type of the numbering as com::sun::star::style::NumberingType

## ◆ SequenceValue

short SequenceValue
| property

contains the sequence value when this field is used as sequence field.

## ◆ SubType

short SubType
| property

determines the type of the variable as described in com::sun::star::text::SetVariableType

## ◆ Value

double Value
| property

contains the numerical value of the field.

## ◆ VariableName

string VariableName
| propertyreadonly

contains the name of the set expression field master this field is connected to.

The documentation for this service was generated from the following file:

- com/sun/star/text/textfield/SetExpression.idl